Bug 585242 - kate part ignores japanese input from input method
kate part ignores japanese input from input method
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 10:17 EDT by Daisuke Kameda
Modified: 2010-04-27 01:47 EDT (History)
8 users (show)

See Also:
Fixed In Version: kdelibs-4.4.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 01:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change kateviewinternal of kdelibs (1.39 KB, patch)
2010-04-23 10:17 EDT, Daisuke Kameda
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 206455 None None None Never

  None (edit)
Description Daisuke Kameda 2010-04-23 10:17:33 EDT
Created attachment 408622 [details]
change kateviewinternal of kdelibs

Using input method on Kate to enter Japanese text, Kate discards it.
So we cannot enter Japanese in KDE4.4 application using kate part.

This bug was reported in <http://bugs.kde.org/show_bug.cgi?id=206455>.

And attached patch was applied in 4.4 branch of KDE svn.
Comment 1 Rex Dieter 2010-04-23 11:21:13 EDT
Upstream commit,
http://websvn.kde.org/?revision=1117595&view=revision
Comment 2 Fedora Update System 2010-04-24 18:39:44 EDT
kdelibs-4.4.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kdelibs-4.4.2-4.fc13
Comment 3 Fedora Update System 2010-04-25 09:59:22 EDT
kdelibs-4.4.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdelibs-4.4.2-4.fc13
Comment 4 Fedora Update System 2010-04-27 01:47:21 EDT
kdelibs-4.4.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.